=== debian/changelog ===
yt-dlp (2022.08.19-1~bpo20.04.1) focal-backports; urgency=medium

  * No-change backport to focal.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 19 Aug 2022 22:40:23 -0400

yt-dlp (2022.08.19-1) unstable; urgency=medium

  * New upstream version 2022.08.19.
    - Refresh supported sites.
  * d/p/0002-setup.py-Do-not-include-devscripts-as-a-package.patch:
     - Drop upstream patch.

 -- Unit 193 <unit193@debian.org>  Thu, 18 Aug 2022 22:30:28 -0400

yt-dlp (2022.08.14-2) unstable; urgency=medium

  * d/p/0002-setup.py-Do-not-include-devscripts-as-a-package.patch:
    - Grab an upstream commit to exclude the devscripts from the package.

 -- Unit 193 <unit193@debian.org>  Mon, 15 Aug 2022 04:24:18 -0400

yt-dlp (2022.08.14-1) unstable; urgency=medium

  * New upstream version 2022.08.14.
    - Refresh supported sites.

 -- Unit 193 <unit193@debian.org>  Sun, 14 Aug 2022 22:28:53 -0400

yt-dlp (2022.08.08-1) unstable; urgency=medium

  * New upstream version 2022.08.08.
    - Refresh supported sites.
  * d/p/0002-Disable-upstream-s-autoupdate-mechanism.patch:
    - Drop, refresh remaining.
  * d/rules: Use new upstream feature to set variant and update message.
    (Closes: #1001776)

 -- Unit 193 <unit193@debian.org>  Mon, 08 Aug 2022 23:57:25 -0400

yt-dlp (2022.07.18-1) unstable; urgency=medium

  * New upstream version 2022.07.18.
    - [build] Consistent order for lazy extractors by lamby. (Closes: #1014041)
    - Refresh supported sites.
    - Refresh patches.

 -- Unit 193 <unit193@debian.org>  Mon, 18 Jul 2022 23:36:50 -0400
