## yt-dlp 2022.09.01

=== debian/changelog ===
yt-dlp (2022.09.01-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 02 Sep 2022 06:10:27 -0400

yt-dlp (2022.09.01-1) unstable; urgency=medium

  * New upstream version 2022.09.01.
    - Refresh supported sites.

 -- Unit 193 <unit193@debian.org>  Thu, 01 Sep 2022 17:35:30 -0400
