=== debian/control ===
--- 
+++ 
@@ -98,11 +98,11 @@
  Dropout, DropoutSeason, DrTuber, drtv, DTube, duboku, Dumpert, dvtv,
  dw, EaglePlatform, EbaumsWorld, EchoMsk, ehftv, eHow, EinsUndEinsTV,
  EinsUndEinsTVLive, EinsUndEinsTVRecordings, Einthusan, eitb.tv,
- EllenTube, EllenTubePlaylist, EllenTubeVideo, Elonet, ElPais,
- Embedly, EMPFlix, Engadget, Epicon, EpiconSeries, Eporner, EroProfile,
+ EllenTube, EllenTubePlaylist, EllenTubeVideo, Elonet, ElPais, Embedly,
+ EMPFlix, Engadget, Epicon, EpiconSeries, Epoch, Eporner, EroProfile,
  ertflix, Escapist, ESPN, ESPNArticle, ESPNCricInfo, EsriVideo, Europa,
- EuropeanTour, EUScreen, EWETV, EWETVLive, EWETVRecordings, ExpoTV,
- Expressen, ExtremeTube, EyedoTV, facebook, FacebookPluginsVideo,
+ EuropeanTour, Eurosport, EUScreen, EWETV, EWETVLive, EWETVRecordings,
+ ExpoTV, Expressen, ExtremeTube, EyedoTV, facebook, FacebookPluginsVideo,
  faz.net, fc2, Fczenit, Fifa, Filmmodu, filmon, Filmweb, FiveThirtyEight,
  FiveTV, Flickr, Folketinget, FoodNetwork, FootyRoom, Formula1, FOX,
  FOX9, FOX9News, Foxgay, foxnews, FoxSports, fptplay, FranceCulture,
@@ -124,18 +124,19 @@
  ign.com, IGNArticle, IGNVideo, IHeartRadio, imdb, Imgur, Ina, Inc,
  IndavideoEmbed, InfoQ, Instagram, InstagramIOS, Internazionale,
  InternetVideoArchive, InvestigationDiscovery, IPrima, IPrimaCNN, iq.com,
- iqiyi, ITProTV, ITProTVCourse, ITTF, ITV, ITVBTCC, ivi, ivideon, Iwara,
- Ixigua, Izlesene, Jable, JablePlaylist, Jamendo, JamendoAlbum, JeuxVideo,
- Joj, Jove, JWPlatform, Kakao, Kaltura, Karaoketv, KarriereVideos,
- Katsomo, KeezMovies, KelbyOne, Ketnet, khanacademy, Kicker, KickStarter,
- KinjaEmbed, KinoPoisk, KompasVideo, KonserthusetPlay, Koo, KrasView,
- KTH, Ku6, KUSI, la7.it, laola1tv, LastFM, LastFMPlaylist, LastFMUser,
- lbry, LCI, Lcp, LcpPlay, Le, Lecture2Go, Lecturio, LecturioCourse,
- LecturioDeCourse, LEGO, Lemonde, Lenta, LePlaylist, LetvCloud,
- Libsyn, life, likee, limelight, LineLive, LineLiveChannel, LinkedIn,
- LinuxAcademy, Liputan6, LiTV, LiveJournal, livestream, Livestreamfails,
- Lnk, LnkGo, loc, LocalNews8, LoveHomePorn, LRTStream, LRTVOD, lynda,
- m6, MagentaMusik360, mailru, MainStreaming, MallTV, MangoTV, ManotoTV,
+ iqiyi, IslamChannel, IslamChannelSeries, ITProTV, ITProTVCourse,
+ ITTF, ITV, ITVBTCC, ivi, ivideon, Iwara, Ixigua, Izlesene, Jable,
+ JablePlaylist, Jamendo, JamendoAlbum, JeuxVideo, Joj, Jove, JWPlatform,
+ Kakao, Kaltura, Karaoketv, KarriereVideos, Katsomo, KeezMovies, KelbyOne,
+ Ketnet, khanacademy, Kicker, KickStarter, KinjaEmbed, KinoPoisk,
+ KompasVideo, KonserthusetPlay, Koo, KrasView, KTH, Ku6, KUSI, la7.it,
+ laola1tv, LastFM, LastFMPlaylist, LastFMUser, lbry, LCI, Lcp,
+ LcpPlay, Le, Lecture2Go, Lecturio, LecturioCourse, LecturioDeCourse,
+ LEGO, Lemonde, Lenta, LePlaylist, LetvCloud, Libsyn, life, likee,
+ limelight, LineLive, LineLiveChannel, LinkedIn, LinuxAcademy,
+ Liputan6, LiTV, LiveJournal, livestream, Livestreamfails, Lnk,
+ LnkGo, loc, LocalNews8, LoveHomePorn, LRTStream, LRTVOD, lynda, m6,
+ MagentaMusik360, mailru, MainStreaming, MallTV, MangoTV, ManotoTV,
  ManotoTVLive, ManotoTVShow, ManyVids, MaoriTV, Markiza, MarkizaPage,
  massengeschmack.tv, Masters, MatchTV, MDR, MedalTV, media.ccc.de,
  Mediaite, MediaKlikk, Medialaan, Mediaset, MediasetShow, Mediasite,
@@ -155,8 +156,8 @@
  navernow, NBA, NBAChannel, NBAEmbed, NBAWatchEmbed, NBC, NBCNews,
  nbcolympics, NBCSports, NBCSportsStream, NBCSportsVPlayer, ndr, NDTV,
  Nebula, NerdCubedFeed, NetPlusTV, NetPlusTVLive, NetPlusTVRecordings,
- Netverse, NetversePlaylist, Netzkino, Newgrounds, Newstube, Newsy,
- NextMedia, NextMediaActionNews, NextTV, Nexx, NexxEmbed, NFB,
+ Netverse, NetversePlaylist, Netzkino, Newgrounds, NewsPicks, Newstube,
+ Newsy, NextMedia, NextMediaActionNews, NextTV, Nexx, NexxEmbed, NFB,
  NFHSNetwork, nfl.com, NhkForSchoolBangumi, NhkForSchoolProgramList,
  NhkForSchoolSubject, NhkVod, NhkVodProgram, nhl.com, nick.com,
  nick.de, nickelodeonru, nicknight, niconico, NiconicoUser, Nintendo,
@@ -200,4 +201,3 @@
  Ruutu, Ruv, safari, Saitosan, SAKTV, SAKTVLive, SAKTVRecordings, SaltTV,
  SaltTVLive, SaltTVRecordings, SampleFocus, Sapo, savefrom.net, SBS,
  schooltv, ScienceChannel, Screencast, ScreencastOMatic, ScrippsNetworks,
- Scrolller, SCTE, SCTECourse, Seeker, SenateGov, SenateISVP, SendtoNews,
