=== debian/changelog ===
yt-dlp (2022.10.04-1) unstable; urgency=medium

  * New upstream version 2022.10.04.
    - Refresh supported sites.
    - Refresh patches.

 -- Unit 193 <unit193@debian.org>  Tue, 04 Oct 2022 04:52:29 -0400
