=== debian/control ===
Source: yt-dlp
Maintainer: Unit 193 <unit193@debian.org>
Section: web
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python (>= 5.20211213~),
 pandoc,
 python3-pkg-resources,
 python3-pytest <!nocheck>,
 python3-setuptools,
 zip
Build-Depends-Indep:
 python3
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Browser: https://git.unit193.net/cgit/users/unit193/yt-dlp.git
Vcs-Git: https://git.unit193.net/cgit/users/unit193/yt-dlp.git
Homepage: https://github.com/yt-dlp/yt-dlp

Package: yt-dlp
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pkg-resources
Recommends:
 aria2 | wget | curl,
 ca-certificates,
 ffmpeg,
 python3-pyxattr,
 rtmpdump
Suggests:
 libfribidi-bin | bidiv,
 mpv | mplayer,
 phantomjs
Description: downloader of videos from YouTube and other sites
 yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
 The main focus of this project is adding new features and patches
 while also keeping up to date with the original project.
 .
 yt-dlp is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 yt-dlp allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 17live, 1News, 1tv, 20min, 23video, 247sports, 24tv.ua, 24video,
 3qsdn, 3sat, 4tube, 56.com, 6play, 7plus, 8tracks, 91porn, 9c9media,
 9gag, 9now.com.au, abc.net.au, abcnews, abcotvs, AbemaTV, AbemaTVTitle,
 acast, AcFunBangumi, AcFunVideo, ADN, AdobeConnect, adobetv, AdultSwim,
 aenetworks, afreecatv, AirMozilla, AliExpressLive, AlJazeera, Allocine,
 AlphaPorno, Alsace20TV, Alsace20TVEmbed, Alura, AluraCourse, Amara,
 AmazonStore, AMCNetworks, AmericasTestKitchen, AmericasTestKitchenSeason,
 AmHistoryChannel, anderetijden, Angel, AnimalPlanet, Anvato, aol.com,
 APA, Aparat, AppleConnect, AppleDaily, ApplePodcasts, appletrailers,
 archive.org, ArcPublishing, ARD, ARDBetaMediathek, Arkena, arte.sky.it,
 ArteTV, ArteTVCategory, ArteTVEmbed, ArteTVPlaylist, AsianCrush,
 AsianCrushPlaylist, AtresPlayer, AtScaleConfEvent, ATTTechChannel, ATVAt,
 AudiMedia, AudioBoom, audiomack, Audius, AWAAN, AZMedien, BaiduVideo,
 BanBye, BanByeChannel, bandaichannel, Bandcamp, bangumi.bilibili.com,
 BannedVideo, bbc, bbc.co.uk, BBVTV, BBVTVLive, BBVTVRecordings,
 Beatport, Beeg, BehindKink, Bellator, BellMedia, BerufeTV, Bet,
 bfmtv, BibelTV, Bigflix, Bigo, Bild, BiliBili, Bilibili category
 extractor, BilibiliAudio, BilibiliAudioAlbum, BiliBiliPlayer,
 BiliBiliSearch, BilibiliSpaceAudio, BilibiliSpacePlaylist,
 BilibiliSpaceVideo, BiliIntl, BiliIntlSeries, BiliLive, BioBioChileTV,
 Biography, BIQLE, BitChute, BitChuteChannel, BlackboardCollaborate,
 BleacherReport, BleacherReportCMS, blogger.com, Bloomberg, BokeCC,
 BongaCams, BooyahClips, BostonGlobe, Box, Bpb, BR, BravoTV, Break,
 BreitBart, BRMediathek, Bundesliga, BusinessInsider, BuzzFeed, BYUtv,
 CableAV, Callin, Caltrans, CAM4, Camdemy, CamdemyFolder, CamModels,
 CamtasiaEmbed, CamWithHer, CanalAlpha, canalc2.tv, Canalplus, Canvas,
 CanvasEen, CarambaTV, CarambaTVPage, CartoonNetwork, cbc.ca, CBS,
 CBSInteractive, CBSLocal, CBSLocalArticle, cbsnews, cbssports, CCMA,
 CCTV, CDA, Cellebrite, CeskaTelevize, CGTN, channel9, CharlieRose,
 Chaturbate, Chilloutzone, Chingari, ChingariUser, chirbit, cielotv.it,
 Cinchcast, Cinemax, CiscoLiveSearch, CiscoLiveSession, ciscowebex,
 CJSW, cliphunter, Clippit, ClipRs, Clipsyndicate, ClipYouEmbed,
 CloserToTruth, CloudflareStream, Cloudy, Clubic, Clyp, cmt.com, CNBC,
 CNBCVideo, CNN, CNNArticle, CNNBlogs, CNNIndonesia, ComedyCentral,
 ComedyCentralTV, CondeNast, CONtv, CookingChannel, Corus, Coub, CozyTV,
 cp24, cpac, Cracked, Crackle, Craftsy, CrooksAndLiars, CrowdBunker,
 CrowdBunkerChannel, crunchyroll, CSpan, CSpanCongress, CtsNews,
 CTV, CTVNews, cu.ntv.co.jp, CultureUnplugged, curiositystream, CWTV,
 Cybrary, CybraryCourse, Daftsex, DagelijkseKost, DailyMail, dailymotion,
 DailyWire, DailyWirePodcast, daum.net, DBTV, DctpTv, DeezerAlbum,
 DeezerPlaylist, defense.gouv.fr, democracynow, DestinationAmerica,
 DetikEmbed, DHM, Digg, DigitalConcertHall, DigitallySpeaking, Digiteka,
 Discovery, DiscoveryLife, DiscoveryNetworksDe, DiscoveryPlus,
 DiscoveryPlusIndia, DiscoveryPlusIndiaShow, DiscoveryPlusItaly,
 DiscoveryPlusItalyShow, Disney, DIYNetwork, DoodStream, Dotsub,
 Douyin, DouyuShow, DouyuTV, DPlay, DRBonanza, Drooble, Dropbox,
 Dropout, DropoutSeason, DrTuber, drtv, DTube, duboku, Dumpert, dvtv,
 dw, EaglePlatform, EbaumsWorld, EchoMsk, ehftv, eHow, EinsUndEinsTV,
 EinsUndEinsTVLive, EinsUndEinsTVRecordings, Einthusan, eitb.tv,
 EllenTube, EllenTubePlaylist, EllenTubeVideo, Elonet, ElPais, Embedly,
 EMPFlix, Engadget, Epicon, EpiconSeries, Epoch, Eporner, EroProfile,
 ertflix, Escapist, ESPN, ESPNArticle, ESPNCricInfo, EsriVideo, Europa,
 EuropeanTour, Eurosport, EUScreen, EWETV, EWETVLive, EWETVRecordings,
 ExpoTV, Expressen, ExtremeTube, EyedoTV, facebook, FacebookPluginsVideo,
 faz.net, fc2, Fczenit, Fifa, Filmmodu, filmon, Filmweb, FiveThirtyEight,
 FiveTV, Flickr, Folketinget, FoodNetwork, FootyRoom, Formula1, FOX,
 FOX9, FOX9News, Foxgay, foxnews, FoxSports, fptplay, FranceCulture,
 FranceInter, FranceTV, francetvinfo.fr, FranceTVSite, Freesound,
 freespeech.org, FreeTvMovies, FrontendMasters, FrontendMastersCourse,
 FrontendMastersLesson, FujiTVFODPlus7, Funimation, Funk, Fusion, Fux,
 FuyinTV, Gab, GabTV, Gaia, GameInformer, GameJolt, GameJoltCommunity,
 GameJoltGame, GameJoltGameSoundtrack, GameJoltSearch, GameJoltUser,
 GameSpot, GameStar, Gaskrank, Gazeta, GDCVault, GediDigital, gem.cbc.ca,
 Gettr, GettrStreaming, Gfycat, GiantBomb, Giga, GlattvisionTV,
 GlattvisionTVLive, GlattvisionTVRecordings, Glide, Globo, GloboArticle,
 glomex, Go, GoDiscovery, GodTube, Gofile, Golem, GoogleDrive, GoPlay,
 GoPro, Goshgay, GoToStage, GPUTechConf, Gronkh, Groupon, Harpodeon,
 hbo, HearThisAt, Heise, HellPorno, Helsinki, HentaiStigma, hetklokhuis,
 HGTVDe, HGTVUsa, HiDive, HistoricFilms, hitbox, HitRecord, hketv,
 Holodex, HotNewHipHop, hotstar, Howcast, HowStuffWorks, hrfernsehen,
 HRTi, HRTiPlaylist, HSEProduct, HSEShow, html5, Huajiao, HuffPost,
 Hungama, HungamaAlbumPlaylist, HungamaSong, Hypem, Hytale, Icareus,
 IflixSeries, ign.com, IGNArticle, IGNVideo, IHeartRadio, Iltalehti,
 imdb, Imgur, Ina, Inc, IndavideoEmbed, InfoQ, Instagram, InstagramIOS,
 Internazionale, InternetVideoArchive, InvestigationDiscovery,
 IPrima, IPrimaCNN, iq.com, iqiyi, IslamChannel, IslamChannelSeries,
 IsraelNationalNews, ITProTV, ITProTVCourse, ITTF, ITV, ITVBTCC, ivi,
 ivideon, Iwara, Ixigua, Izlesene, Jable, JablePlaylist, Jamendo,
 JamendoAlbum, JeuxVideo, Joj, Jove, JWPlatform, Kakao, Kaltura,
 Karaoketv, KarriereVideos, Katsomo, KeezMovies, KelbyOne, Ketnet,
 khanacademy, Kicker, KickStarter, KinjaEmbed, KinoPoisk, KompasVideo,
 KonserthusetPlay, Koo, KrasView, KTH, Ku6, KUSI, la7.it, laola1tv,
 LastFM, LastFMPlaylist, LastFMUser, lbry, LCI, Lcp, LcpPlay, Le,
 Lecture2Go, Lecturio, LecturioCourse, LecturioDeCourse, LEGO, Lemonde,
 Lenta, LePlaylist, LetvCloud, Libsyn, life, likee, limelight, LineLive,
 LineLiveChannel, LinkedIn, LinuxAcademy, Liputan6, LiTV, LiveJournal,
 livestream, Livestreamfails, Lnk, LnkGo, loc, LocalNews8, LoveHomePorn,
 LRTStream, LRTVOD, lynda, m6, MagentaMusik360, mailru, MainStreaming,
 MallTV, MangoTV, ManotoTV, ManotoTVLive, ManotoTVShow, ManyVids, MaoriTV,
 Markiza, MarkizaPage, massengeschmack.tv, Masters, MatchTV, MDR, MedalTV,
 media.ccc.de, Mediaite, MediaKlikk, Medialaan, Mediaset, MediasetShow,
 Mediasite, MediasiteCatalog, MediasiteNamedCatalog, MediaWorksNZVOD,
 Medici, megaphone.fm, megatvcom, Meipai, MelonVOD, META, metacafe,
 Metacritic, mewatch, Mgoon, MiaoPai, MicrosoftEmbed, microsoftstream,
 mildom, minds, MinistryGrid, Minoto, miomio.tv, mirrativ, MirrorCoUK,
 MiTele, mixch, mixcloud, MLB, MLBTV, MLBVideo, MLSSoccer, Mnet,
 MNetTV, MNetTVLive, MNetTVRecordings, MochaVideo, MoeVideo, Mofosex,
 MofosexEmbed, Mojvideo, Morningstar, Motherless, MotherlessGroup,
 Motorsport, MotorTrend, MovieClips, MovieFap, Moviepilot, MoviewPlay,
 Moviezine, MovingImage, MSN, mtg, mtv, mtv.de, mtv.it, mtvjapan,
 MTVUutisetArticle, MuenchenTV, Murrtube, MurrtubeUser, MuseScore,
 MusicdexAlbum, MusicdexArtist, MusicdexPlaylist, MusicdexSong,
 mva, Mwave, MwaveMeetGreet, Mxplayer, MxplayerShow, MyChannels,
 MySpace, MySpass, Myvi, MyVideoGe, MyVidster, MyviEmbed, n-tv.de,
 N1InfoAsset, Nate, NateProgram, NationalGeographicTV, Naver, navernow,
 NBA, NBAChannel, NBAEmbed, NBAWatchEmbed, NBC, NBCNews, nbcolympics,
 NBCSports, NBCSportsStream, NBCSportsVPlayer, NBCStations, ndr, NDTV,
 Nebula, NerdCubedFeed, NetPlusTV, NetPlusTVLive, NetPlusTVRecordings,
 Netverse, NetversePlaylist, Netzkino, Newgrounds, NewsPicks, Newstube,
 Newsy, NextMedia, NextMediaActionNews, NextTV, Nexx, NexxEmbed, NFB,
 NFHSNetwork, nfl.com, NhkForSchoolBangumi, NhkForSchoolProgramList,
 NhkForSchoolSubject, NhkVod, NhkVodProgram, nhl.com, nick.com,
 nick.de, nickelodeonru, nicknight, niconico, NiconicoUser, Nintendo,
 Nitter, njoy, NJPWWorld, NobelPrize, NonkTube, NoodleMagazine, Noovo,
 Normalboots, NosVideo, Nova, NovaEmbed, NovaPlay, nowness, Noz, npo,
 Npr, NRK, NRKPlaylist, NRKRadioPodkast, NRKSkole, NRKTV, NRKTVDirekte,
 NRKTVEpisode, NRKTVEpisodes, NRKTVSeason, NRKTVSeries, NRLTV, ntv.ru,
 Nuvid, NYTimes, NYTimesArticle, NYTimesCooking, nzherald, NZZ,
 ocw.mit.edu, OdaTV, Odnoklassniki, OktoberfestTV, OlympicsReplay,
 on24, OnDemandKorea, OneFootball, onet.pl, onet.tv, OnetMVP,
 OnionStudios, Ooyala, OoyalaExternal, Opencast, OpencastPlaylist,
 openrec, OraTV, OsnatelTV, OsnatelTVLive, OsnatelTVRecordings,
 OutsideTV, PacktPub, PacktPubCourse, pandora.tv, Panopto, PanoptoList,
 PanoptoPlaylist, ParamountNetwork, ParamountPlus, ParamountPlusSeries,
 Parler, parliamentlive.tv, Parlview, Patreon, PatreonCampaign, pbs,
 PearVideo, PeekVids, peer.tv, PeerTube, peloton, People, PerformGroup,
 periscope, PhilharmonieDeParis, phoenix.de, Photobucket, Piapro, Picarto,
 PicartoVod, Piksel, Pinkbike, Pinterest, PinterestCollection, Pladform,
 PlanetMarathi, Platzi, PlatziCourse, play.fm, player.sky.it, PlayPlusTV,
 PlayStuff, PlaysTV, PlaySuisse, Playtvak, Playvid, PlayVids, Playwire,
 pluralsight, PlutoTV, Podchaser, podomatic, Pokemon, PokemonWatch,
 PokerGo, PokerGoCollection, PolsatGo, PolskieRadio, PolskieRadioCategory,
 Popcorntimes, PopcornTV, PornCom, PornerBros, Pornez, PornFlip,
 PornHd, PornHub, PornHubPagedVideoList, PornHubPlaylist, PornHubUser,
 PornHubUserVideosUpload, Pornotube, PornoVoisines, PornoXO, PornTube,
 PrankCast, PremiershipRugby, PressTV, ProjectVeritas, prosiebensat1,
 PRXAccount, PRXSeries, PRXStory, puhutv, Puls4, Pyvideo, qqmusic,
 QuantumTV, QuantumTVLive, QuantumTVRecordings, Qub, R7, R7Article,
 Radiko, RadikoRadio, radio.de, radiobremen, radiocanada, radiofrance,
 RadioJavan, radiokapital, RadioZetPodcast, radlive, Rai, RaiNews,
 RaiPlay, RaiPlayLive, RaiPlayPlaylist, RaiPlaySound, RaiPlaySoundLive,
 RaiPlaySoundPlaylist, RaiSudtirol, RayWenderlich, RayWenderlichCourse,
 RBMARadio, RCS, RCSEmbeds, RCSVarious, RCTIPlus, RCTIPlusSeries,
 RCTIPlusTV, RDS, RedBull, RedBullEmbed, RedBullTV, RedBullTVRrnContent,
 Reddit, RedGifs, RedGifsSearch, RedGifsUser, RedTube, RegioTV, RENTV,
 RENTVArticle, Restudy, Reuters, ReverbNation, RICE, RMCDecouverte,
 RockstarGames, Rokfin, RoosterTeeth, RoosterTeethSeries, RottenTomatoes,
 Rozhlas, RTBF, RTDocumentry, RTDocumentryPlaylist, rte, rtl.nl, rtl2,
 RTLLuLive, RTLLuRadio, RTNews, RTP, RTRFM, RTS, RTVNH, RTVS, rtvslo.si,
 RUHD, Rule34Video, RumbleChannel, RumbleEmbed, Ruptly, rutube, RUTV,
 Ruutu, Ruv, safari, Saitosan, SAKTV, SAKTVLive, SAKTVRecordings, SaltTV,
